---
title: Web Hosting Service;
layout: page
---

Luon runs many services that also have a web frontend. See the
[links page](links.html) for an overview of these web services/sites.  With
Luon you can also run your personal web page or request web hosting, for more
information see below.

For personal websites as well as web hosting we currently do support PHP, but
this might me dropped in the future.  Static sites are preferred and there are
many tools such as
[Jekyll](https://jekyllrb.com/)/[Hugo](https://gohugo.io/)/[Zola](https://www.getzola.org/)/etc.
to build them.

## Personal website

To host your own website, put the files in the directory `public_html` in your
home directory on Target (i.e. `~/public_html`).  You can do this via any
client that supports SSH/SFTP.  Once the files are there, you can view the
website at `https://luon.net/~user` where `user` is your Luon username.

## Web hosting

If you want to host a website for a specific domain, like what we also do for
`luon.net`, send a request to `webmaster@luon.net`.  Let us know what the
domain is and what the hostnames and aliases are that you want to use for this
website.  Below we use the domain and hostname `mijndomein.nl` with alias
`www.mijndomein.nl` as an example.

If you manage your own DNS, first configure the following for the domain `@`
and the alias `www`:

```bind
@       86400  IN A	37.72.100.21
@       86400  IN AAAA  2a00:8240:5:10::21
www     86400  IN CNAME @
```

Then, upload the website files using SSH/SFTP to `/srv/www/mijndomein.nl` on
Target and visit `https://mijndomein.nl` to see the result

We will arrange the certificates for HTTPS and make certain that they stay
up-to-date.

